Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Rename the gem to geokit-rails3

  • Loading branch information...
commit 85c5c839171e56be350aec942b3d10130eafe019 1 parent 4ff8058
@jlecour jlecour authored
View
10 README.markdown
@@ -1,18 +1,18 @@
## INSTALLATION
-Geokit consists of a Gem ([geokit-gem](http://github.com/andre/geokit-gem/tree/master)) and a Rails plugin ([geokit-rails](http://github.com/andre/geokit-rails/tree/master)).
+Geokit consists of a Gem ([geokit-gem](http://github.com/andre/geokit-gem/tree/master)) and a Rails plugin ([geokit-rails3](http://github.com/andre/geokit-rails3/tree/master)).
Make sure you use a version >= 3.0 of Rails.
-You just have to add the 'geokit-rails' gem to your Gemfile
+You just have to add the 'geokit-rails3' gem to your Gemfile
- gem 'geokit-rails'
+ gem 'geokit-rails3'
Then tell bundler to update the gems :
$ bundle install
-If you want to use geokit-rails in a Rails 2 application, just use the good old plugin.
+If you want to use geokit-rails3 in a Rails 2 application, just use the good old plugin.
## FEATURE SUMMARY
@@ -551,4 +551,4 @@ config.gem "geokit"
*If you're having trouble with dependencies ....*
Try installing the gem manually (sudo gem install geokit), then adding a `require 'geokit'` to the top of
-`vendor/plugins/geokit-rails/init.rb` and/or `config/geokit_config.rb`.
+`vendor/plugins/geokit-rails3/init.rb` and/or `config/geokit_config.rb`.
View
2  Rakefile
@@ -6,7 +6,7 @@ Rake::RDocTask.new do |rdoc|
version = File.exist?('VERSION') ? File.read('VERSION') : ""
rdoc.rdoc_dir = 'rdoc'
- rdoc.title = "geokit-rails #{version}"
+ rdoc.title = "geokit-rails3 #{version}"
rdoc.rdoc_files.include('README*')
rdoc.rdoc_files.include('lib/**/*.rb')
end
View
8 geokit-rails.gemspec → geokit-rails3.gemspec
@@ -1,15 +1,15 @@
# -*- encoding: utf-8 -*-
-require File.expand_path("../lib/geokit-rails/version", __FILE__)
+require File.expand_path("../lib/geokit-rails3/version", __FILE__)
Gem::Specification.new do |s|
- s.name = "geokit-rails"
+ s.name = "geokit-rails3"
s.version = GeokitRails::VERSION
s.platform = Gem::Platform::RUBY
s.authors = ["Andre Lewis", "Bill Eisenhauer", "Jeremy Lecour"]
s.email = ["andre@earthcode.com", "bill_eisenhauer@yahoo.com", "jeremy.lecour@gmail.com"]
- s.homepage = "http://rubygems.org/gems/test_gem"
+ s.homepage = "http://github.com/jlecour/geokit-rails3"
s.summary = "Integrate Geokit with Rails 3"
- s.description = "Integrate Geokit with Rails 3"
+ s.description = "Port of the Rails plugin \"geokit-rails\" to Rails 3, as a gem"
s.required_rubygems_version = ">= 1.3.6"
# s.rubyforge_project = "test_gem"
View
14 lib/geokit-rails.rb
@@ -1,10 +1,10 @@
require 'geokit'
-require 'geokit-rails/railtie'
-require 'geokit-rails/core_extensions'
+require 'geokit-rails3/railtie'
+require 'geokit-rails3/core_extensions'
-require 'geokit-rails/defaults'
-require 'geokit-rails/adapters/abstract'
-require 'geokit-rails/acts_as_mappable'
-require 'geokit-rails/geocoder_control'
-require 'geokit-rails/ip_geocode_lookup'
+require 'geokit-rails3/defaults'
+require 'geokit-rails3/adapters/abstract'
+require 'geokit-rails3/acts_as_mappable'
+require 'geokit-rails3/geocoder_control'
+require 'geokit-rails3/ip_geocode_lookup'
View
0  lib/geokit-rails/acts_as_mappable.rb → lib/geokit-rails3/acts_as_mappable.rb
File renamed without changes
View
0  lib/geokit-rails/adapters/abstract.rb → lib/geokit-rails3/adapters/abstract.rb
File renamed without changes
View
0  lib/geokit-rails/adapters/mysql.rb → lib/geokit-rails3/adapters/mysql.rb
File renamed without changes
View
0  lib/geokit-rails/adapters/postgresql.rb → lib/geokit-rails3/adapters/postgresql.rb
File renamed without changes
View
0  lib/geokit-rails/adapters/sqlserver.rb → lib/geokit-rails3/adapters/sqlserver.rb
File renamed without changes
View
0  lib/geokit-rails/core_extensions.rb → lib/geokit-rails3/core_extensions.rb
File renamed without changes
View
0  lib/geokit-rails/defaults.rb → lib/geokit-rails3/defaults.rb
File renamed without changes
View
0  lib/geokit-rails/geocoder_control.rb → lib/geokit-rails3/geocoder_control.rb
File renamed without changes
View
0  lib/geokit-rails/ip_geocode_lookup.rb → lib/geokit-rails3/ip_geocode_lookup.rb
File renamed without changes
View
6 lib/geokit-rails/railtie.rb → lib/geokit-rails3/railtie.rb
@@ -1,4 +1,4 @@
-require 'geokit-rails'
+require 'geokit-rails3'
require 'rails'
module Geokit
@@ -8,14 +8,14 @@ class Railtie < Rails::Railtie
config.geokit = ActiveSupport::OrderedOptions.new
config.geokit.geocoders = ActiveSupport::OrderedOptions.new
- initializer 'geokit-rails.insert_into_active_record' do
+ initializer 'geokit-rails3.insert_into_active_record' do
ActiveSupport.on_load :active_record do
ActiveRecord::Base.send(:include, Geokit::ActsAsMappable::Glue)
Geokit::Geocoders.logger = ActiveRecord::Base.logger
end
end
- initializer 'geokit-rails.insert_into_action_controller' do
+ initializer 'geokit-rails3.insert_into_action_controller' do
ActiveSupport.on_load :action_controller do
ActionController::Base.send(:include, Geokit::GeocoderControl)
ActionController::Base.send(:include, GeoKit::IpGeocodeLookup)
View
0  lib/geokit-rails/version.rb → lib/geokit-rails3/version.rb
File renamed without changes
View
2  test/test_helper.rb
@@ -4,7 +4,7 @@
require 'boot'
require 'geokit'
-require 'geokit-rails'
+require 'geokit-rails3'
ActiveRecord::Base.send(:include, Geokit::ActsAsMappable::Glue)
Please sign in to comment.
Something went wrong with that request. Please try again.